#include <bits/stdc++.h>

using namespace std;

vector<int> getVisionPattern1d(){
    return {1,3,1,1,2};
}

int getMove1d(vector<int> v){
    if(v.size()!=7){
        for(int i=0;i<v.size();i++){
            if(v[i]==3) return i;
        }
        for(int i=0;i<v.size();i++){
            if(v[i]==2) return i;
        }
        return 0;
    }
    if(v[1]==2) return 6;
    else return 1;

}


vector<vector<int>> getVisionPattern2d(){
    return {};
}

pair<int, int> getMove2d(vector<vector<int>> v){
    return {0,0};
}

